Bug 45856

Summary: suexec hangs when suexec_log > 2147483647 bytes
Product: Apache httpd-2 Reporter: Jan Molic <mig>
Component: supportAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED FIXED    
Severity: normal Keywords: FixedInTrunk
Priority: P2    
Version: 2.2.6   
Target Milestone: ---   
Hardware: PC   
OS: Linux   

Description Jan Molic 2008-09-21 19:16:54 UTC
When suexec_log is bigger than 2147483647 bytes (integer limit), all requests end with HTTP code 500.

Suexec produces this in apache error log:

[Mon Sep 22 03:39:06 2008] [info] (104)Connection reset by peer: mod_fcgid: read data from fastcgi server error.
[Mon Sep 22 03:39:06 2008] [error] [client 74.6.22.159] Premature end of script headers: index.php

It looks that if the suexec_log is bigger than 2147483647 then apache hangs at all.
Comment 1 Joe Orton 2008-09-24 01:39:07 UTC
Thanks for the report.  This is annoying since LFS support relies on use of APR and suexec doesn't (can't) use APR.

You can work around this by changing the fopen() call in support/suexec.c to an fopen64() call.
Comment 2 Stefan Fritsch 2010-08-22 06:36:32 UTC
commited in r987861
Comment 3 Stefan Fritsch 2012-02-26 16:49:28 UTC
fixed in 2.4.1